Package org.apache.wiki.search

# Interface SearchResult

All Superinterfaces:
  `SearchResult`

All Known Implementing Classes:
  `SearchMatcher.SearchResultImpl`

@Deprecated public interface SearchResult extends SearchResult
Deprecated.
- use `SearchResult` instead
Defines a search result.

See Also:
  - `SearchResult`

## Method Summary

Modifier and Type
Method
Description
`WikiPage`
`getPage()`
Deprecated.
Return the page.

### Methods inherited from interface org.apache.wiki.api.search.SearchResult

`getContexts, getScore`

## Method Details

### getPage

WikiPage getPage()
Deprecated.
Return the page.

Specified by:
  `getPage` in interface `SearchResult`
Returns:
  the WikiPage object containing this result